Od úterý 11.08.2020 se nám začala v administraci objevovat informace o možnosti aktualizovat WordPress na novou verzi 5.5. Jedná se o velkou aktualizace, která může v mnoha ohledech ovlivnit celý web, proto byste se na ní měli připravit a zvážit zdali jí potřebujete teď hned.

Je dostupný WordPress 5.5! Zvažte tuto aktualizaci.

Verze 5.5 je druhou velkou (major) aktualizací roku 2020. Nejedná se tedy o bezpečnostní aktualizaci, s kterými se setkáváme nejčastěji, a které si musíme instalovat co možná nejdříve.

Než se dostaneme k tomu, co všechno nového obsahuje, pojďme se podívat jak postupovat.

Než budete aktualizovat WordPress na 5.5

Jak už bylo zmíněno jedná se o velkou (major) aktualizaci. Obsahuje změny, které si komunita odsouhlasila a ty mohou ovlivnit chování některých pluginů a šablon. Nicméně vývojáři měli dost času se na tyto změny připravit. Samozřejmě za předpokladu, že se ještě o svůj plugin/šablonu starají a neponechali vše osudu na pospas. S tímto musíte prostě počítat.

Než začnete s aktualizací:

  • Aktualizujte všechny pluginy a šablony – vývojáři už většinu nekompatibilit a problémů vyřešili s předstihem. Musíte však aktuální verzi šablon a pluginů mít nainstalované. Zpětně po aktualizaci na WordPress 5.5 už to nemusí být možné.
  • Projděte pluginy jestli tam není nějaký hodně starý – V Přehled pluginů najdete výpis všech nainstalovaných pluginů. Když kliknete na Zobrazit podrobnost u každého tak se dozvíte s jakou verzí byl naposledy testován (Kompatibilní až do verze:).

Obecně WordPress dbá na hodně na zpětnou kompatibilitu, takže vám mohou fungovat i pluginy pro verzi WordPress 4.x, ale také může autor pluginu něco přehldénout a třeba verze 5.4 už nemusí stačit.

  • Vyprázdněně cache a zvažte vypnutí cachování/cachovacího pluginu – Cachovací pluginy využívají v závislosti na velikosti instalace i desítky tisíc souborů, často si upravují chování webserver (pravidla v .htaccess) a dokonce dělají i věci nad rámec, toho co je pluginům povoleno (mají soubory v adresářích kde nemají co dělat). Pokud se rozbije cachovací plugin je to velký problém. Nevyčištěná cache může rozbít design po aktualizaci, zapnuté cachování způsobit problémy aktuálním návštěvníků, zapnutý celý plugin rozbít kompletně vše.
  • Proveďte zálohu souborů a databáze – když se něco pokazí anebo narazíte na neřešitelný problém, tak musíte mít možnost vrátit vše co nejrychleji zpět.
  • Ujistěte se, že máte po ruce zálohu, přihlašovací údaje k FTP/SSH, někoho kdo to případně dokáže vrátit – Občas se věci prostě pokazí a je dobré mít vše po ruce 🙂

Co je nového u WordPress 5.5

WordPress 5.5 toho přináší opravdu hodně a v mnoha ohledech i revolučního.

Blokový editor

Pokud jste si zvykli na blokový editor Gutenberg, tak vás jistě potěší nový blokový adresář, který najdete pod modrým tlačítkem v levém horním rohu editoru. Ten umí vyhledávat nejen mezi nainstalovanými bloky, ale i těmi, které si můžete pořídit.

Dále v adresáři najdete vzory (patterns). To jsou bloky s oblíbeným předkonfigurovaným nastavením. Ideální jsou pokud vytváříte nějakou stránku.

Blokový editor však doznal více změn. Je jednodušší a rychlejší.

Automatické aktualizace

V Přehledu pluginů si můžete nově u každého nastavit zdali má docházet k jeho automatické aktualizaci (Enable auto-updates). U šablon toto nastavení najdete ve Vzhled – Šablony, kliknete na konkrétní šablonu a pod jejím názvem najdete Enable auto-updates.

Nejedná se o úplně novou funkci. WordPress uměl automatické aktualizace už dříve, ale musely se zapnout ručně ve wp-config.php.

Na internetu najdete hodně diskuze zdali automatické aktualizace zapínat anebo ne. Obecně nemít aktuální verzi pluginu/šablony je potenciální bezpečnostní riziko. Na druhou stranu při aktualizaci se může spousta věcí pokazit a je dobré na to všechno dohlédnout.

Problémové mohou být zvláště cachovací pluginy a rozšíření, které potřebují nějakou další akci po aktualizaci.

Nezapomínejte také, že po aktualizaci dojde ke kompletnímu přepsání souborů pluginu/šablony, takže pokud jste provedli nějakou změnu v kódu, tak ta bude ztracena.

Lazy Load pro obrázky

Zjednodušeně řečeno, od verze 5.5 bude říkat WordPress prohlížeči, aby si stáhl vždy jen ty obrázky, které jsou viditelné v prohlížeči. Když uživatel odscrolluje níže, tak teprve poté se načtou další obrázky.

Následkem budou nižší dataové přenosy, v některých případech i viditelné rychlejší načítání webů.

Pokud po aktualizaci poskočíte v Google, tak možná za to může právě tato aktualizace.

XML sitemap v základu

XML sitemap je strojově čitelná mapa vašeho webu. Obsahuje informace o každé stránce, příspěvku, obrázků atd. Vyhledávače pomocí nich dokáží najít i hodně zapadlé stránky. Nemusí se tak spoléhat na dobré prolinkování v rámci webu.

Pokud používáte nějaký SEO plugin, tak XML sitemap určitě už máte. Tyto pluginy budou navíc základní XML sitemap WordPress moct zakázat, protože používají vlastní a lepší. Doporučuji zůstat u XML sitemap co generují SEO pluginy. Ta od WordPress je hodně základní.

Další změny

Dalších změn je opravdu hodně a budou zajímat hlavně vývojáře. Došlo také k aktualizaci řady knihoven. Kompletní přehled změn najdete na oficiálních stránkách:

Známé problémy s WordPress 5.5

Tak a teď se pojďme podívat na známé problémy, které se za poslední dny u WordPress 5.5 objevily.

  • Plugin: Plugin Schema and Structured Data For WP – není možné přidávat a upravovat štítky. Čeká se na aktualizaci.
  • Plugin: WPBakery plugin – Jsou rozbité tlačítka a záložky. Česká se na aktualizaci.
  • Plugin: Yoast SEO content – Nefunguje nahrávání multimédii.
  • Šablona: Artisteer Theme – Jsou rozbité plochy pro widgety. Česká se na aktualizaci.

Připojte se k diskuzi

1 komentář

  1. S touto verzí pomalu začínají problémy.
    Rozpadá se dosti věcí. V administraci nastavení šablony blbnou některé věci a nejde něco nastavit správně, díky chybě JQuery, která je v 5.5 nějak již upravena.

    WPBakery Page Builder, ten taky nefunguje správně.

    A desítky dalších drobností. Teď se taky hraji s jednou šablonou, a po aktualizaci desítky věcí nefunguje a na fórum podpory dané šablony je každých pár minut nějaký dotaz, že něco někomu nejde.

    S aktualizací bych určitě počkal, až se vyladí ty první porodní bolesti po aktualizaci.

    Navíc do toho je i nějaký problém s Cloudflare, který v WP 5.5 z neznámého důvodu občas blokuje aktualizaci pluginů, problém mají nahlášený a ví o něm, tak snad brzo bude též opraven.

Napsat komentář

Vaše emailová adresa nebude zveřejněna. Vyžadované informace jsou označeny *